# HotReload

HotReload automatically reloads cogs in local cog paths on file change.  
This is useful for development, as it allows you to make changes to your cogs and see the changes reflected in Discord immediately, without having to manually `[p]reload` the cog.

## Installation

```bash
[p]repo add seacogs https://www.coastalcommits.com/cswimr/SeaCogs
[p]cog install seacogs hotreload
[p]load hotreload
```

## Commands

### hotreload notifychannel

Set the channel where hotreload will send notifications when a cog is reloaded.

### hotreload list

Debugging command that shows the list of currently active observers. May be expanded in the future to show watched file paths.
